Subject: Re: [idn] I fear I cannot use IDN in the next 10 years

From: Dan Oscarsson <[email-masked]>
Date: Fri, 5 Oct 2001 12:07:15 +0200 (MEST)

>For the same reasons people have been repeating on this list for the 
>past year. UTF-8 is the "native" encoding for a very small number of 
>people. Further, even for that very small number of people, UTF-8 is 
>almost never the only encoding they have. Because of that, we need to 
>assume that essentially all software that takes in or displays IDNs 
>will have to do some conversion before putting the name parts on the 
>wire. If we are going to require conversion, it is better to do that 
>conversion to something that is already compatible with the current 
>DNS protocol.
>
>Updating all of the DNS servers in the world is an option, but not 
>one that makes much sense.

Well, then we can say goodbye to IPv6, DNSSEC and all other new things.

UTF-8 works fine in todays DNS. The only ones you need to change are the ones
doing authorative lookups.

   Dan

---

From: [email-masked]
Date: Fri, 5 Oct 2001 11:32:53 -0700

I just wander, is idn-map proposal will be a good 
structure to accommodate ISO-8859 as a local standard?  
Since CJK servers are all have their own local standards
 and applicantions, which can obtain direct access to 
map-nameprep or  idn-map on a local server without 
changing applicantions. idn-map proposal is described
in draft-liana-idn-map-00.

Liana

On Thu, 4 Oct 2001 09:00:37 +0200 (MEST) Dan Oscarsson
<[email-masked]> writes:
> As the IDN list have been only focused on ACE and are now removing 
> the
> proposals that support IDN nativly in the DNS protocol, I fear that
> I will not be able to use non-ascii domain names for the next 10 
> years.
> 
> To understand why, you have to look at how domain names are used on 
> your
> computer systems.
> When I look at mine, I enter or handle domain/host names in many 
> places,
> for example: host-files, logs, web pages, text documents and 
> databases.
> In all these places the names are using my systems local native 
> character set.
> All programs handle that.
> To use non-ascii names, the only acceptable way to do it is to enter 
> them
> natively in all places. Natively does not mean ACEencoded names, it 
> means
> using the native character set. My web pages will never containg ACE 
> in
> URLs, they will containg ISO 8859-1 characters just like the rest of
> my web pages. My host files may not contain ACE, the must use ISO 
> 8859-1.
> To use ACE-encoded host names can never be an application specific 
> modification.
> The only viable way to do it is to convert all names when they leav 
> the
> DNS protocol into local character set. Under Unix this could be done
> in the resolver libraries so that applications never need to know 
> the
> protocol used over DNS.
> To allow mixed usage of ACE-encoded and native names will result in 
> a
> terrible mess. The only usable way is for all names to be nativly 
> encoded
> within a system. 
> 
> The current groups wanting ACE-encoded names do not take this into
> consideration. At least I have seen no discussions about it.
> 
> As all ACE-encoded names need to be decoded into native names when
> entering a system, why not use UTF-8 over the wire to support 
> simpler
> handling of names?
> There are two places where ACE-encoded names are needed:
> 1) When talking to ancient systems.
> 2) When not being able to represent an UCS name using the local 
> native
>    character set.
> But in all other cases UTF-8 will do and will result for systems
> using UTF-8 natively that they can use dns names without any
> convertion. This will never happen with ACE, no system will ever
> use ACE-encoded text as native character set.
> 
> So forget about quick use of non-ASCII names because of ACE. As long 
> as my
> applications cannot accept a native name or an UTF-8 name, non-ASCII
> names cannot be used. I am not going to expose my users to the
> mess and confusion that ACE-encoded names will result in.
> 
> When I can register a domain name using non-ASCII characters and can
> query and get it returned in UTF-8 or ISO 8859-1, and my system stop
> rejecting names because they conatin non-ASCII characters, then I 
> can
> start using IDNs.
> 
>     Dan
> 
>